import { MiddlewareConsumer, Module, NestModule } from '@nestjs/common';
import { AuthMiddleware } from 'src/middleware/auth.middleware';
import { UserModule } from 'src/modules/objects/user/user.module';
import { TwoFactorController } from './twofactor.controller';

@Module({
  imports: [UserModule],
  controllers: [TwoFactorController],
})
export class TwoFactorModule implements NestModule {
  configure(consumer: MiddlewareConsumer) {
    consumer.apply(AuthMiddleware).forRoutes('two-factor');
  }
}
